curl -X POST "https://api.hitler.app/api/clients" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "Acme Corp", "deployDay": "Monday", "contentCadence": 2}'
const client = await api.createClient({
name: "Acme Corp",
deployDay: "Monday",
contentCadence: 2,
});
{
"id": "client-uuid-1",
"name": "Acme Corp",
"organizationId": "org-uuid-1",
"deployDay": "Monday",
"contentCadence": 2,
"status": "active",
"assignedWriters": null,
"assignedDesigners": null,
"createdAt": "2026-03-06T10:00:00.000Z",
"updatedAt": "2026-03-06T10:00:00.000Z"
}
Clients
Create Client
Create a new client for the organization
POST
/
api
/
clients
curl -X POST "https://api.hitler.app/api/clients" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "Acme Corp", "deployDay": "Monday", "contentCadence": 2}'
const client = await api.createClient({
name: "Acme Corp",
deployDay: "Monday",
contentCadence: 2,
});
{
"id": "client-uuid-1",
"name": "Acme Corp",
"organizationId": "org-uuid-1",
"deployDay": "Monday",
"contentCadence": 2,
"status": "active",
"assignedWriters": null,
"assignedDesigners": null,
"createdAt": "2026-03-06T10:00:00.000Z",
"updatedAt": "2026-03-06T10:00:00.000Z"
}
Requires Admin or Manager role.
Request Body
string
required
Client name (1-200 characters)
string
Day of the week for content deploys (e.g., “Monday”, “Friday”)
integer
default:"1"
Number of content posts per week (1-10)
Response
The created client object.string
Client UUID
string
Client name
string
Deploy day of week
integer
Posts per week
string
Client status (active)
string
Creation timestamp
curl -X POST "https://api.hitler.app/api/clients" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "Acme Corp", "deployDay": "Monday", "contentCadence": 2}'
const client = await api.createClient({
name: "Acme Corp",
deployDay: "Monday",
contentCadence: 2,
});
{
"id": "client-uuid-1",
"name": "Acme Corp",
"organizationId": "org-uuid-1",
"deployDay": "Monday",
"contentCadence": 2,
"status": "active",
"assignedWriters": null,
"assignedDesigners": null,
"createdAt": "2026-03-06T10:00:00.000Z",
"updatedAt": "2026-03-06T10:00:00.000Z"
}